DROP TABLE IF EXISTS FILE_CONFIG;
CREATE TABLE FILE_CONFIG  (
	FILE_CONFIG_ID BIGINT(128)  NOT NULL PRIMARY KEY,
	FILE_CONFIG_TYPE VARCHAR(150) UNIQUE NOT NULL,
	FILE_TEMPLATE BLOB NOT NULL,
	FILE_PATH_REGEX VARCHAR(150) NOT NULL,
	FILE_NAME_REGEX VARCHAR(100) NOT NULL,
	FILE_EXTN VARCHAR(10) NOT NULL,
	FILE_FLOW_TYPE VARCHAR(64) NOT NULL,
	DESTIN_TYPE VARCHAR(10) NOT NULL,
	DESTIN_CONFIG_FN VARCHAR(64) NOT NULL,
	NOTIFICATION_TYPE VARCHAR(10),
	NOTIFICATION_CONFIG_FN VARCHAR(64),
	CREATE_TS TIMESTAMP DEFAULT '0000-00-00 00:00:00',
	UPDATE_TS TIMESTAMP ON UPDATE now(),
	constraint FILE_CONFIG_TYPE_UN unique (FILE_CONFIG_TYPE)
) ENGINE=InnoDB;
